<!-- banner -->
<p align="center">
  <img src="https://readme-typing-svg.demolab.com?font=Linefont&size=50&duration=3500&pause=500&color=53749E&center=true&random=true&width=500&height=80&lines=Hi+there+%F0%9F%91%8B%2C+je+suis+Shuo+Feng%2C+and+I+am+a+student+from+Concordia+University+(Montr%C3%A9al)." alt="typing intro w/ linefont">
  <br>
  <a href="https://github.com/vonhyou">[Github]</a> | <a href="https://www.linkedin.com/in/sfeng1001/">[LinkedIn]</a>
</p>


Salut! I'm a Montréal‑based Bachelor of Computer Science student at [**Concordia University**](https://www.concordia.ca/ginacody.html). You can call me _Shuo_ or just _vonhyou_ online (kinda hard to pronounce, eh). 

My interest shifts a bit often, but now I just settled down to game development or computer graphics in general. Currently I'm working with Dr. Yiming Xiao at [**Health-X Lab**](http://www.healthx-lab.ca/) on a psychedelic VR application. 

### Related

I have several websites scatterred under multiple names/ domains, which is not ideal, so I'm actively cleaning those messes recently (May 13, 2025). Here's a list:

- [**No. Three** | th.ray.works](https://th.ray.works/): the most recent one
- [**Academic Blog** | academic.sfeng.ca](https://academic.sfeng.ca/): this one contains my journey when doing internship at [NIMS Lab](https://projects.cs.dal.ca/projectx/?page_id=47) at Dalhousie University in year 2023
- [**Waterfront** | blog.sfeng.ca](https://blog.sfeng.ca/): the one got discarded a while ago, where I experimented with i18n feature of Hugo


### Contact

I use several email addresses for various purpose, if you want to contact me please refer to:

- Academic: `s_feng20` at `live.concordia.ca`, the ugly email address provided by Concordia University 
- Work: `shuo.feng` at `ray.works`, basically not academic-related and not casual enough to use the last one
- Others:  `moi` at `rfung.dev`, just... if you are not spamming me...

I'll try to add more _modern_ ways for daily communication, like an IM, but not right now.

### TODO

- [ ] Merge all websites into one central homepage
- [ ] Managing more self-hosted services like a fediverse instance or matrix for easier communication.